Subject: Re: [PATCH net-next 0/3] selftests: mptcp: add time per subtests in TAP output

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Sep 2024 12:40:25 -0700

On Wed, 4 Sep 2024 18:15:09 +0200 Matthieu Baerts wrote:
> > Best I could come up with is:
> > 
> > diff --git a/contest/remote/vmksft-p.py b/contest/remote/vmksft-p.py
> > index fe9e87abdb5c..a37245bd5b30 100755
> > --- a/contest/remote/vmksft-p.py
> > +++ b/contest/remote/vmksft-p.py
> > @@ -73,7 +73,7 @@ group3 testV skip
> >      tests = []
> >      nested_tests = False
> >  
> > -    result_re = re.compile(r"(not )?ok (\d+)( -)? ([^#]*[^ ])( # )?([^ ].*)?$")
> > +    result_re = re.compile(r"(not )?ok (\d+)( -)? ([^#]*[^ ])( +# )?([^ ].*)?$")  
> 
> Looks good to me. While at it, we can add a '+' for the spaces after the
> '#':
> 
>   ( +# +)

👍️

> I see you didn't commit the previous modification. I can open a PR if it
> helps.

I was just playing with the regexps in the interpreter. If you could
send a PR that'd perfect.

> >      time_re = re.compile(r"time=(\d+)ms")
> >  
> >      for line in full_run.split('\n'):
> > 
> > Thoughts?  
> 
> In my v2, I will also strip these trailing whitespaces in the selftests,
> they don't need to be there.

Up to you - it doesn't violate the KTAP format and the visual alignment
is nice. But it may trip up more regexps..